Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.jmx.loading
Class PrimitiveClassLoader

    java.lang.Object
      |
      +--org.huihoo.jfox.jmx.loading.PrimitiveClassLoader

public class PrimitiveClassLoader
extends java.lang.Object

change primitive type to Class

Author:
  Young Yang

Method Summary
`java.lang.Object` | `createObject(java.lang.String value, java.lang.String className)` create a Object by it's value and className , only check primitive class
`static PrimitiveClassLoader` | `getInstance()`
`boolean` | `isAssignable(java.lang.Class primitiveClass, java.lang.Class objClass)`
`boolean` | `isPrimitiveType(java.lang.String type)`
`java.lang.Class` | `loadClass(java.lang.String primitiveName)`
`java.lang.Class` | `object2PrimitiveClass(java.lang.Object obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static PrimitiveClassLoader getInstance()

### loadClass

    public java.lang.Class loadClass(java.lang.String primitiveName)

### object2PrimitiveClass

    public java.lang.Class object2PrimitiveClass(java.lang.Object obj)

### createObject

    public java.lang.Object createObject(java.lang.String value,
                                         java.lang.String className)

  create a Object by it's value and className , only check primitive class

  Parameters:
    `value` -
    `className` -
  Returns:
    primitive Object or itself

### isAssignable

    public boolean isAssignable(java.lang.Class primitiveClass,
                                java.lang.Class objClass)

### isPrimitiveType

    public boolean isPrimitiveType(java.lang.String type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD